#include<bits/stdc++.h>
using namespace std;
using ll = long long;

vector<int> solve(vector<int> a){
    int n = a.size();

    map<int,int> freq;
    for(auto &i : a) ++freq[i];

    vector<int> b;

    for(auto &[u,v] : freq){
        for(int i = 1; i <= v/2; ++i){
            b.emplace_back(u);
        }
    }
    for(auto &[u,v] : freq){
        for(int i = 1; i <= v/2; ++i){
            b.emplace_back(u);
        }
    }
    return b;
}